Skip to main content
GET
/
api
/
v0
/
metrics
/
gpu
/
locations
show gpu locations
curl --request GET \
  --url https://console.vast.ai/api/v0/metrics/gpu/locations/ \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "locations": [
    {
      "latitude": 37.7749,
      "longitude": -122.4194,
      "city": "San Francisco",
      "country_code": "US",
      "gpu_name": "RTX 4090",
      "rented": true,
      "verified": true,
      "datacenter": true,
      "num_gpus": 4
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.vast.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Response

Success response

success
boolean
Example:

true

locations
object[]